import java.awt.*;

public class Circle implements Shape 
{
    int x = 40, y = 50, width = 50, height = 50;
    
    public void draw( Graphics g )
    {
        g.drawOval( this.x, this.y, width, height );    
    }
    
    public void move( int newX, int newY )
    {
        this.x = newX;
        this.y = newY;
    }
    
    public boolean pointIsInside( int xPressed, int yPressed )
    {
        if ( xPressed >= this.x && xPressed < (this.x + width) &&
             yPressed >= this.y && yPressed < (this.y + height) )
        {
            return true;
        }
        else
        {
            return false;
        }
    }
        
    public int getX()
    {
        return this.x;    
    }
    
    public int getY()
    {
        return this.y;    
    }
}