
import java.awt.*;
import java.awt.event.*;

/**
 * Write a description of class DemoCanvas here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class DemoCanvas extends Canvas implements MouseListener, MouseMotionListener
{
   private Circle circle;
   private String message;
   private boolean inCircle = false;
   private int xOffset;
   private int yOffset;
   
   public DemoCanvas()
   {
       circle = new Circle();
       message = "Welcome";
       addMouseListener( this );
       addMouseMotionListener( this );
   }
   
   public void paint( Graphics g )
   {
       circle.draw( g );
       g.drawString( message, 10, 300 );
   }
   
   /** 
   * MouseListener event handlers
   **/
   
   public void mouseClicked( MouseEvent e )
   {
   }

   public void mousePressed( MouseEvent e )
   {
      int xPressed = e.getX();
      int yPressed = e.getY();
      inCircle = circle.pointIsInside( xPressed, yPressed );
      if ( inCircle )
      {
          message = xPressed + "," + yPressed + " is inside the circle";
          xOffset = xPressed - circle.getX(); 
          yOffset = yPressed - circle.getY();
      }
      else
      {
          message = xPressed + "," + yPressed + " is outside the circle";
      }
      repaint();
       
   }

   public void mouseReleased( MouseEvent e )
   {
       if ( inCircle )
       {
           circle.move( e.getX() - xOffset, e.getY() - yOffset );
           inCircle = false;
           repaint();
       }
   }

   public void mouseEntered( MouseEvent e )
   { 
   }

   public void mouseExited( MouseEvent e )
   { 
   }

   /** 
    * MouseMotionListener event handlers
    **/
   public void mouseDragged( MouseEvent e )
   { 
       if ( inCircle )
       {
           circle.move( e.getX() - xOffset, e.getY() - yOffset );
           repaint();
       }
   }

   public void mouseMoved( MouseEvent e )
   { 
   }
}
